---
title: FormGroup
type: class
package: "@astro-reactive/form"
description: The FormGroup class represents a group of controls that will be rendered as a fieldset element in a form.
layout: ../../../../layouts/MainLayout.astro
---

The `FormGroup` class represents a group of controls that will be rendered as a fieldset element in a form.

> **❗ Note:** This documentation is incomplete.

## Properties

| Property | Type | |
|---|---|---|
| [controls](#controls) |  `FormControl[]` | required |
| [name](#name) |  `string` | optional |

### controls

### name